;===================================================================;
;                                                                   ;
; Hangman                                                           ;
; Header File                                                       ;
;                                                                   ;
;===================================================================;

#define verMajor "1"
#define verMinor "0"
#define verRevision "1"

;================================================
; TI-83 Ion Header
;================================================
#ifdef TI83
#define ION
#include "ion.inc"

random                                  = ionRandom
ionFastCopyCenter                       = ionFastCopy

videoBuffer                             = saferam1
vars                                    = saferam2

.org    progstart
        ret
        jr      nc,start
.db     "Hangman v",verMajor,".",verMinor,".",verRevision,0
#endif

;================================================
; TI-83+ Ion Header
;================================================
#ifdef TI83P
#define ION
#define PLUS
#include "ion.inc"

random                                  = ionRandom
ionFastCopyCenter                       = ionFastCopy

videoBuffer                             = saferam1
vars                                    = appbackupscreen

.org    progstart-2
.db     $BB,$6D
        ret
        jr      nc,start
.db     "Hangman v",verMajor,".",verMinor,".",verRevision,0
#endif

;================================================
; TI-83+ MirageOS Header
;================================================
#ifdef MIRAGE
#define PLUS
#include "ti83plus.inc"
#include "mirage.inc"

random                                  = iRandom
ionFastCopyCenter                       = iFastCopy

videoBuffer                             = saferam1
vars                                    = appbackupscreen
vat                                     = progptr
ionFastCopy                             = iFastCopy
ionDetect                               = iDetect

.org    $9D93
.db     $BB,$6D
        ret
.db     1

.db %00111111, %11100000
.db %00100000, %00100000
.db %00100000, %01110000
.db %00100000, %10001000
.db %00100000, %10001000
.db %00100000, %10001000
.db %00100010, %01110010
.db %00100001, %00100100
.db %00100000, %11111000
.db %00100000, %00100000
.db %00100000, %00100000
.db %00100000, %00100000
.db %00100000, %01010000
.db %00100000, %10001000
.db %11111000, %10001000

.db     "Hangman v",verMajor,".",verMinor,".",verRevision,0
#endif

;================================================
; TI-86 Header
;================================================
#ifdef TI86
#define equ .equ
#include "ti86.inc"

gbuf                                    = _plotsscreen
pencol                                  = _pencol
videoMem                                = $FC00
_getcsc                                 = _get_key
curcol                                  = _curcol
currow                                  = _currow
_clrscrnfull                            = _clrscrn
sgrflags                                = new_grf_flgs

realFilePtr                             = $8300-3
videoBuffer                             = $8300
vars                                    = $8700
tempProgStorage                         = $9000

#define bcall(xxxx) call xxxx
#define DIRECTIN_8586
#define GETKEY_8586
#define SPRITE_86

.org    _asm_exec_ram
        nop
        jp      start
.dw     0
.dw     title

title:
.db     "Hangman v",verMajor,".",verMinor,".",verRevision,0
#endif

;================================================
; Other Generic Defines, Includes, etc.
;================================================
#define PUT_SPRITE
#define PUT_CLIPPED_MASKED_SPRITE

#include "get_key.inc"
#include "directin.inc"

.end
